See and learn how I did it.
Here is the only initiation.

MrTip 2012 www.banerled.pl

#include "stm32f10x_conf.h"
#include "stm32f10x_gpio.h"
#include "stm32f10x_rcc.h"
#include "tft_pcf8833_lib.h"
#include <stdio.h>
#include <string.h>
#include "misc.h"



//-----------------------------------------------------------------------------------------------------------------------
void ErrorLCD( char *t1,char *t2,char *t3) {

	U32 i;
	TFTN_FillRect(0,0,131,131,R7);
	TFTN_text16x16s(66,14,"ERROR !!!", WHITE, BLACK, 6);
	TFTN_text16x16s(66,40,t1, WHITE, BLACK, 6);
	TFTN_text16x16s(66,56,t2, WHITE, BLACK, 6);
	TFTN_text16x16s(66,72,t3, WHITE, BLACK, 6);
	TFTN_text16x16s(66,90,"Programming", WHITE, BLACK, 6);
	TFTN_text16x16s(66,106,"BREAK", WHITE, BLACK, 6);
	Screen2TFTN();
	for (i=0;i<50000000;i++){};
}
//-----------------------------------------------------------------------------------------------------------------------
void LCDLight(char L) {																									// SET Lighting on LCD - 0 -> 15
	if (L>15) L=15;
	TIM2->CCR1  = L;                             /* Duty cicle channel 3     */
}
//-----------------------------------------------------------------------------------------------------------------------
void GPIO_Config(void) {
  //konfigurowanie portow GPIO
  GPIO_InitTypeDef  GPIO_InitStructure;

  /*Tu nalezy umiescic kod zwiazany z konfiguracja sygnalow zegarowych potrzebnych w programie peryferiow*/
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);//wlacz taktowanie portu GPIO A
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);//wlacz taktowanie portu GPIO B
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOC, ENABLE);//wlacz taktowanie portu GPIO C
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOD, ENABLE);//wlacz taktowanie portu GPIO D
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOE, ENABLE);//wlacz taktowanie portu GPIO E

//LCD, BEEP, external light
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_2| GPIO_Pin_1;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
  GPIO_Init(GPIOA, &GPIO_InitStructure);
  
  GPIO_ResetBits(GPIOA,GPIO_Pin_2); //External Light
  GPIO_ResetBits(GPIOA,GPIO_Pin_1);	//Sound
}
//-----------------------------------------------------------------------------------------------------------------------
void GoTestTFT(void){

	int LCD_Type;
	TIM2_LCD_Init();
	LCDLight(8);

	USART1_Init();	
	printf ("\r\n\r\nNokia LCD 6610 Lestar 3.0 BootLoader Start\r\nTipson Electronics www.banerled.pl\r\nDevice started\r\n\r\n");
	
	TFTN_HwConfig();
	TFTN_Init();
	FillScreen(BLACK);
	Screen2TFTN();

	LCD_Type=ReadBKP(BKP_DR2);

	while (1)
	{
		TFTN_text16x16s(66,16, "  Programowanie  ", R7, BLACK, 0);
		TFTN_text16x16s(66,32, "  pami\2ci flash  ", G7, BLACK, 0);
		TFTN_text16x16s(66,48, "  z karty SD  ", B3, BLACK, 0);


		TFTN_text16x16s(66,64, "  Red na bialym", R3, WHITE, 0);
		TFTN_text16x16s(66,80, "  Green na bialym", G3, WHITE, 0);
		TFTN_text16x16s(66,96, "  Blue na bialym  ", B1, WHITE, 0);

	
		if (LCD_Type==LCD_EPSON) 	TFTN_text16x16s(66,1, "LCD - EPSON", 		G7|R7, BLACK, 0);
		if (LCD_Type==LCD_PHILLIPS)	TFTN_text16x16s(66,1, "LCD - PHILLIPS", 	G7|R7, BLACK, 0);
		if (LCD_Type==0)			TFTN_text16x16s(66,1, "LCD - NOT RECOGN.", 	B3|G7, BLACK, 0);
	
		Screen2TFTN();
		
	} 
}

//----------------------------------------------------------------------------
void main (void)
{
	uint8_t b;
	uint16_t reg ;

	GPIO_Config();

	GPIO_SetBits(GPIOA,GPIO_Pin_2); //External Light
	GPIO_ResetBits(GPIOA,GPIO_Pin_2); //External Light

	GoTestTFT();

}	